<?php

namespace Drupal\Tests\entity_body_class\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Class TouchIconsTest. The base class for testing touch icons.
 */
class TouchIconsTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['touch_icons'];

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * Test touch icons.
   */
  public function testTouchIcons() {
    $logo = \Drupal::theme()->getActiveTheme()->getLogo();

    $settings['icon-15'] = [
      'rel' => 'icon',
      'size' => '15',
      'path' => ltrim($logo, '/'),
      'mimetype' => \Drupal::service('file.mime_type.guesser')->guessMimeType($logo),
    ];

    // Add logo as a touch icon.
    \Drupal::configFactory()->getEditable('touch_icons.theme_settings.global')
      ->set('touch_icons', $settings)
      ->save();

    $admin = $this->drupalCreateUser([], NULL, TRUE);
    $this->drupalLogin($admin);

    // Check if the page contains the icon.
    $this->assertSession()->elementExists('css', "link[rel='icon'][sizes='15x15']");
  }

}
